Skip to main content
PATCH
/
products
/
{id}
Update product metadata
curl --request PATCH \
  --url https://api.autoprintfarm.com/public/v1/products/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "category": "<string>",
  "requires_assembly": false,
  "requires_post_processing": false,
  "wiki_id": "<string>",
  "is_active": true
}
'
{
  "success": true,
  "data": {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "category": "<string>",
    "requires_assembly": true,
    "requires_post_processing": true,
    "image_url": "<string>",
    "images": [
      {
        "id": "<string>",
        "sort_order": 123,
        "url": "<string>"
      }
    ],
    "is_active": true,
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API keys are minted in the AutoPrintFarm web app under Settings → API Keys. Send as Authorization: Bearer apf_live_.... Keys are shown exactly once at creation and can be revoked at any time.

Path Parameters

id
string
required

Body

application/json
name
string
Required string length: 1 - 200
description
string | null
Maximum string length: 2000
category
string | null
Maximum string length: 100
requires_assembly
boolean
default:false
requires_post_processing
boolean
default:false
wiki_id
string | null
is_active
boolean

Response

Product updated

success
enum<boolean>
required
Available options:
true
data
object
required